% Auto-generated: do not edit by hand
\name{htmlTh}

\alias{htmlTh}

\title{Th component}

\description{
Th is a wrapper for the <th> HTML5 element. For detailed attribute info see: https://developer.mozilla.org/en-US/docs/Web/HTML/Element/th
}

\usage{
htmlTh(children=NULL, id=NULL, accessKey=NULL, className=NULL,
colSpan=NULL, contentEditable=NULL, contextMenu=NULL,
dir=NULL, draggable=NULL, headers=NULL, hidden=NULL,
key=NULL, lang=NULL, loading_state=NULL, n_clicks=NULL,
n_clicks_timestamp=NULL, role=NULL, rowSpan=NULL,
scope=NULL, spellCheck=NULL, style=NULL, tabIndex=NULL,
title=NULL, ...)
}

\arguments{
\item{children}{A list of or a singular dash component, string or number. The children of this component}

\item{id}{Character. The ID of this component, used to identify dash components
in callbacks. The ID needs to be unique across all of the
components in an app.}

\item{accessKey}{Character. Keyboard shortcut to activate or add focus to the element.}

\item{className}{Character. Often used with CSS to style elements with common properties.}

\item{colSpan}{Character | numeric. The colspan attribute defines the number of columns a cell should span.}

\item{contentEditable}{Character. Indicates whether the element's content is editable.}

\item{contextMenu}{Character. Defines the ID of a <menu> element which will serve as the element's context menu.}

\item{dir}{Character. Defines the text direction. Allowed values are ltr (Left-To-Right) or rtl (Right-To-Left)}

\item{draggable}{Character. Defines whether the element can be dragged.}

\item{headers}{Character. IDs of the <th> elements which applies to this element.}

\item{hidden}{A value equal to: 'hidden', 'hidden' | logical. Prevents rendering of given element, while keeping child elements, e.g. script elements, active.}

\item{key}{Character. A unique identifier for the component, used to improve
performance by React.js while rendering components
See https://reactjs.org/docs/lists-and-keys.html for more info}

\item{lang}{Character. Defines the language used in the element.}

\item{loading_state}{Lists containing elements 'is_loading', 'prop_name', 'component_name'.
those elements have the following types:
  - is_loading (logical; optional): determines if the component is loading or not
  - prop_name (character; optional): holds which property is loading
  - component_name (character; optional): holds the name of the component that is loading. Object that holds the loading state object coming from dash-renderer}

\item{n_clicks}{Numeric. An integer that represents the number of times
that this element has been clicked on.}

\item{n_clicks_timestamp}{Numeric. An integer that represents the time (in ms since 1970)
at which n_clicks changed. This can be used to tell
which button was changed most recently.}

\item{role}{Character. The ARIA role attribute}

\item{rowSpan}{Character | numeric. Defines the number of rows a table cell should span over.}

\item{scope}{Character. Defines the cells that the header test (defined in the th element) relates to.}

\item{spellCheck}{Character. Indicates whether spell checking is allowed for the element.}

\item{style}{Named list. Defines CSS styles which will override styles previously set.}

\item{tabIndex}{Character. Overrides the browser's default tab order and follows the one specified instead.}

\item{title}{Character. Text to be displayed in a tooltip when hovering over the element.}


\item{...}{wildcards allowed have the form: `'aria-*', 'data-*'`}

}

\value{named list of JSON elements corresponding to React.js properties and their values}

\examples{
if (interactive()) {
  library(dash)

  app <- Dash$new()

  app$layout(
    htmlDiv(list(
      htmlTable(
        list(
          # the following row contains headers
          htmlTr(
            list(
              htmlTh("Header 1"),
              htmlTh("Header 2")
            )
          )
        )
      )
      )
    )
  )

  app$run_server()
}
}
