
module DashHtmlComponents
using DashBase

const resources_path = realpath(joinpath( @__DIR__, "..", "deps"))
const version = "1.1.4"

include("jl/html_a.jl")
include("jl/html_abbr.jl")
include("jl/html_acronym.jl")
include("jl/html_address.jl")
include("jl/html_area.jl")
include("jl/html_article.jl")
include("jl/html_aside.jl")
include("jl/html_audio.jl")
include("jl/html_b.jl")
include("jl/html_base.jl")
include("jl/html_basefont.jl")
include("jl/html_bdi.jl")
include("jl/html_bdo.jl")
include("jl/html_big.jl")
include("jl/html_blink.jl")
include("jl/html_blockquote.jl")
include("jl/html_br.jl")
include("jl/html_button.jl")
include("jl/html_canvas.jl")
include("jl/html_caption.jl")
include("jl/html_center.jl")
include("jl/html_cite.jl")
include("jl/html_code.jl")
include("jl/html_col.jl")
include("jl/html_colgroup.jl")
include("jl/html_command.jl")
include("jl/html_content.jl")
include("jl/html_data.jl")
include("jl/html_datalist.jl")
include("jl/html_dd.jl")
include("jl/html_del.jl")
include("jl/html_details.jl")
include("jl/html_dfn.jl")
include("jl/html_dialog.jl")
include("jl/html_div.jl")
include("jl/html_dl.jl")
include("jl/html_dt.jl")
include("jl/html_element.jl")
include("jl/html_em.jl")
include("jl/html_embed.jl")
include("jl/html_fieldset.jl")
include("jl/html_figcaption.jl")
include("jl/html_figure.jl")
include("jl/html_font.jl")
include("jl/html_footer.jl")
include("jl/html_form.jl")
include("jl/html_frame.jl")
include("jl/html_frameset.jl")
include("jl/html_h1.jl")
include("jl/html_h2.jl")
include("jl/html_h3.jl")
include("jl/html_h4.jl")
include("jl/html_h5.jl")
include("jl/html_h6.jl")
include("jl/html_header.jl")
include("jl/html_hgroup.jl")
include("jl/html_hr.jl")
include("jl/html_i.jl")
include("jl/html_iframe.jl")
include("jl/html_img.jl")
include("jl/html_ins.jl")
include("jl/html_isindex.jl")
include("jl/html_kbd.jl")
include("jl/html_keygen.jl")
include("jl/html_label.jl")
include("jl/html_legend.jl")
include("jl/html_li.jl")
include("jl/html_link.jl")
include("jl/html_listing.jl")
include("jl/html_main.jl")
include("jl/html_mapel.jl")
include("jl/html_mark.jl")
include("jl/html_marquee.jl")
include("jl/html_meta.jl")
include("jl/html_meter.jl")
include("jl/html_multicol.jl")
include("jl/html_nav.jl")
include("jl/html_nextid.jl")
include("jl/html_nobr.jl")
include("jl/html_noscript.jl")
include("jl/html_objectel.jl")
include("jl/html_ol.jl")
include("jl/html_optgroup.jl")
include("jl/html_option.jl")
include("jl/html_output.jl")
include("jl/html_p.jl")
include("jl/html_param.jl")
include("jl/html_picture.jl")
include("jl/html_plaintext.jl")
include("jl/html_pre.jl")
include("jl/html_progress.jl")
include("jl/html_q.jl")
include("jl/html_rb.jl")
include("jl/html_rp.jl")
include("jl/html_rt.jl")
include("jl/html_rtc.jl")
include("jl/html_ruby.jl")
include("jl/html_s.jl")
include("jl/html_samp.jl")
include("jl/html_script.jl")
include("jl/html_section.jl")
include("jl/html_select.jl")
include("jl/html_shadow.jl")
include("jl/html_slot.jl")
include("jl/html_small.jl")
include("jl/html_source.jl")
include("jl/html_spacer.jl")
include("jl/html_span.jl")
include("jl/html_strike.jl")
include("jl/html_strong.jl")
include("jl/html_sub.jl")
include("jl/html_summary.jl")
include("jl/html_sup.jl")
include("jl/html_table.jl")
include("jl/html_tbody.jl")
include("jl/html_td.jl")
include("jl/html_template.jl")
include("jl/html_textarea.jl")
include("jl/html_tfoot.jl")
include("jl/html_th.jl")
include("jl/html_thead.jl")
include("jl/html_time.jl")
include("jl/html_title.jl")
include("jl/html_tr.jl")
include("jl/html_track.jl")
include("jl/html_u.jl")
include("jl/html_ul.jl")
include("jl/html_var.jl")
include("jl/html_video.jl")
include("jl/html_wbr.jl")
include("jl/html_xmp.jl")

function __init__()
    DashBase.register_package(
        DashBase.ResourcePkg(
            "dash_html_components",
            resources_path,
            version = version,
            [
                DashBase.Resource(
    relative_package_path = "dash_html_components.min.js",
    external_url = "https://unpkg.com/dash-html-components@1.1.4/dash_html_components/dash_html_components.min.js",
    dynamic = nothing,
    async = nothing,
    type = :js
),
DashBase.Resource(
    relative_package_path = "dash_html_components.min.js.map",
    external_url = "https://unpkg.com/dash-html-components@1.1.4/dash_html_components/dash_html_components.min.js.map",
    dynamic = true,
    async = nothing,
    type = :js
)
            ]
        )

    )
end
end
